Bug Hunting Session
Bug 107639 - User feedback that slide transition doesnt work due to OpenGL version
Summary: User feedback that slide transition doesnt work due to OpenGL version
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: OpenGL Slide-Transitions
  Show dependency treegraph
 
Reported: 2017-05-04 18:11 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-05-06 02:30 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-05-04 18:11:38 UTC
Michael stated in bug 84416 comment 18, "I -guess- we should file a new bug to provide the user some feedback on which transitions are not available / working perfectly because of GL version.", so here is the bug report for it.

@Michael: Did you have any particular type of feedback in mind?
Comment 1 Michael Meeks 2017-05-04 18:27:43 UTC
Sure - I guess we could grey them out - but still make them selectable ? ;-) Ultimately - even if they don't work there is still state there that people can legimitately select - so hiding / making them non-selectable doesn't sound perfect; and we'd want to show the state of the document even if we have to fall back to a cut I think. But really a UX question =)
Comment 2 Heiko Tietze 2017-05-04 18:49:00 UTC
To gray-out icon and text sounds reasonable and easy to understand though some people may wonder why a disabled state is still selectable. Alternatively we could write the name in italic or strikeout, hard to recognize and not easy to understand, or paint a cross over/x the icon. We could also put them into an experimental mode, no idea if that works, meaning the options are hidden when the option is not checked.
In the end it sounds to me like the easiest solution to gray-out the icon.
Comment 3 Yousuf Philips (jay) (retired) 2017-05-04 20:16:11 UTC
Yes hiding them is not an option as a user may receive a file with it already set and that would cause problems. Graying they out could be one option, though i dont think graying out the text is good, as the user still should be able to set the non-supported transition.

I think having a single not supported, warning or error icon (e.g. /core/icon-themes/galaxy/vcl/res/warningbox.png) appear instead of the default icon would be best option and then the tooltip could be appended to mention that its not supported (e.g. 'Honeycomb (not supported)').
Comment 4 Heiko Tietze 2017-05-05 08:08:56 UTC
(In reply to Yousuf Philips (jay) from comment #3)
> I think having a single not supported, warning or error icon...

Would be a pity to not show the nice slide icons. With a small decorator, usually a lock or a fav star but here a stop sign, a red cross or the like, we can convey the same information.
Comment 5 Yousuf Philips (jay) (retired) 2017-05-05 11:16:06 UTC
(In reply to Heiko Tietze from comment #4)
> Would be a pity to not show the nice slide icons. With a small decorator,
> usually a lock or a fav star but here a stop sign, a red cross or the like,
> we can convey the same information.

I thought about that option first, but it would require a bit more work to create decorator versions of each icon for minimal benefit, and then we'd have to create it for multiple icon themes.
Comment 6 QA Administrators 2018-05-06 02:30:27 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug